package cz.moneta.test.regression.channels.digital.ib.newib.payment.fop;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.newib.tasks.NewIbTasks;
import cz.moneta.test.dsl.newib.util.PaymentFormData;
import cz.moneta.test.harness.annotations.Environment;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenarioWithOrder;
import cz.moneta.test.harness.support.auth.Credentials;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Order;

@TestScenarioWithOrder(name = "FOP - Check No SIPO")
public class SipoOrderFopTest {
    Credentials clientCredentials;
    PaymentFormData formData;

    @BeforeAll
    public void getCredentials(Harness harness) {
        String clientBirthNumber = harness.getConfig("nib.rc.sipo-order-fop");
        String fromAccountNumber = harness.getConfig("nib.fromaccount.sipo-order-fop");

        clientCredentials = harness.tasks()
                .udebs()
                .findCredentialsByRC(clientBirthNumber);
    }

    @Order(1)
    @TestCase(name = "SIPO payment - FOP - check no SIPO", environments = {Environment.TST1, Environment.PPE})
    @JiraTestCase(id = "SB-T9255")
    public void sipoOrderFop(Harness harness) {
        NewIbTasks newIbTasks = harness.tasks().newIb();

        harness.withNewIb()
                .openLoginPage()
                .then(newIbTasks.loginWithUsernamePasswordAndDefaultMobKey(clientCredentials.getUsername(), clientCredentials.getPassword()))
                .then(newIbTasks.checkNoSipo());
    }
}